Bug 735554 - Review Request: floppy-support - Load floppy driver at boot time
Summary: Review Request: floppy-support - Load floppy driver at boot time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-03 14:19 UTC by Bruno Wolff III
Modified: 2012-09-17 22:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-09-09 02:46:47 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Bruno Wolff III 2011-09-03 14:19:43 UTC
Spec URL: http://bruno.fedorapeople.org/floppy-support.spec
SRPM URL: http://bruno.fedorapeople.org/floppy-support-1.0.0-1.fc17.src.rpm
Description: By default the floppy driver is not loaded at boot time. Installing this package will load the floppy driver as part of the install and will set things so that it will be loaded during future boots.

Comment 1 Michal Schmidt 2011-09-05 06:11:13 UTC
You don't want to use %{_libdir}, because the path should be /usr/lib/... on all architectures.

Comment 2 Bruno Wolff III 2011-09-05 13:36:29 UTC
What is the correct way to handle this case? I was hoping doing a noarch build would handle it. I tried using /usr/lib and rpmlint regarded it as an error, so I am guessing that isn't correct either?

Comment 3 Michal Schmidt 2011-09-05 13:58:52 UTC
The owner of the dir, systemd, uses:
%{_libdir}/../lib/modules-load.d

I'd just use /usr/lib/modules-load.d or %{_usr}/lib/modules-load.d and ignore the rpmlint error. I don't know what's considered more correct.

Comment 4 Bruno Wolff III 2011-09-05 14:20:09 UTC
Thanks. I changed it to match what systemd does an uploaded an updated spec file and a new SRPM at http://bruno.fedorapeople.org/floppy-support-1.0.0-2.fc17.src.rpm.

Comment 5 Mario Blättermann 2012-08-26 15:03:01 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4423589

$ rpmlint -i -v *
floppy-support.src: I: checking
floppy-support.src: W: no-url-tag
The URL tag is missing.

floppy-support.src:38: W: libdir-macro-in-noarch-package (main package) %{_libdir}/../lib/modules-load.d/floppy.conf
The %{_libdir} or %{_lib} macro was found in a noarch package in a section
that gets included in binary packages.  This is most likely an error because
these macros are expanded on the build host and their values vary between
architectures, probably resulting in a package that does not work properly on
all architectures at runtime. Investigate whether the package is really
architecture independent or if some other dir/macro should be instead.

floppy-support.src: W: no-%build-section
The spec file does not contain a %build section.  Even if some packages don't
directly need it, section markers may be overridden in rpm's configuration to
provide additional "under the hood" functionality, such as injection of
automatic -debuginfo subpackages.  Add the section, even if empty.

floppy-support.noarch: I: checking
floppy-support.noarch: W: no-url-tag
The URL tag is missing.

floppy-support.noarch: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

floppy-support.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

2 packages and 0 specfiles checked; 0 errors, 6 warnings.


As already discussed in the previous comments, we can ignore the rpmlint issues.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
    MIT
[+] MUST: The License field in the package spec file must match the actual license.
[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.    
[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[.] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[.] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[.] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[.] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[.] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
    Works on my system.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------


The file in this package is located in a path which is part of the systemd package. If systemd is considered to be present on *all* systems, (I assume so) then it's OK, otherwise add systemd to "Requires:"

Comment 6 Bruno Wolff III 2012-08-26 15:28:29 UTC
It does look like I should add an empty %build section though based on the rpmlint message. (I don't remember seeing that detailed of a message previously.)
Thanks for the review.

Comment 7 Mario Blättermann 2012-08-26 15:30:58 UTC
(In reply to comment #6)
> It does look like I should add an empty %build section though based on the
> rpmlint message. (I don't remember seeing that detailed of a message
> previously.)
> Thanks for the review.

It's not really needed, but according to the verbose rpmlint output you should do so.

Comment 8 Bruno Wolff III 2012-08-26 15:36:03 UTC
I'll also add a requires for systemd. Because it uses /usr/lib regardless of arch, I don't want to try requiring the directory. Besides, for the forseable future nothing else is going to provide that directory.

Comment 9 Bruno Wolff III 2012-08-26 15:41:46 UTC
New Package SCM Request
=======================
Package Name: floppy-support
Short Description: Load floppy driver at boot time
Owners: bruno
Branches: f16, f17, f18, devel
InitialCC:

Comment 10 Gwyn Ciesla 2012-08-28 21:27:33 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2012-08-29 04:03:26 UTC
floppy-support-1.0.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/floppy-support-1.0.0-4.fc18

Comment 12 Fedora Update System 2012-08-29 04:04:44 UTC
floppy-support-1.0.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/floppy-support-1.0.0-4.fc17

Comment 13 Fedora Update System 2012-08-29 04:05:50 UTC
floppy-support-1.0.0-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/floppy-support-1.0.0-4.fc16

Comment 14 Fedora Update System 2012-08-29 18:43:37 UTC
floppy-support-1.0.0-4.fc18 has been pushed to the Fedora 18 testing repository.

Comment 15 Fedora Update System 2012-09-09 02:46:47 UTC
floppy-support-1.0.0-4.fc17 has been pushed to the Fedora 17 stable repository.

Comment 16 Fedora Update System 2012-09-09 02:54:43 UTC
floppy-support-1.0.0-4.fc16 has been pushed to the Fedora 16 stable repository.

Comment 17 Fedora Update System 2012-09-17 22:11:06 UTC
floppy-support-1.0.0-4.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.